#!/bin/bash

# a, x - rock 1
# b, y - paper 2
# c, z - scissors 3

function normaliz() {
	[[ $1 =~ [AX] ]] && echo 1
	[[ $1 =~ [BY] ]] && echo 2
	[[ $1 =~ [CZ] ]] && echo 3
}

score=0

while read line; do
	you=$(normaliz ${line/* /})
	opp=$(normaliz ${line/ */})

	if [[ "$you" == 2 ]]; then	
		score=$((score+3+opp))
	elif [[ "$you" == 1 && "$opp" == 1 ]]; then
		score=$((score+3))
	elif [[ "$you" == 1 && "$opp" == 2 ]]; then
		score=$((score+1))
	elif [[ "$you" == 1 && "$opp" == 3 ]]; then
		score=$((score+2))
	elif [[ "$you" == 3 && "$opp" == 1 ]]; then
		score=$((score+6+2))
	elif [[ "$you" == 3 && "$opp" == 2 ]]; then
		score=$((score+6+3))
	elif [[ "$you" == 3 && "$opp" == 3 ]]; then
		score=$((score+6+1))
	fi
done

echo "$score"
